• Share
    • Twitter
    • LinkedIn
    • Facebook
    • Email
  • Feedback
  • Edit
Show / Hide Table of Contents

POST Agents/Contact/GetContactSummary

Some tooltip text!
• 3 minutes to read
 • 3 minutes to read
POST /api/v1/Agents/Contact/GetContactSummary

Get summary of contact and its recent activity.

NsApiSlow threshold: 2000 ms.

Query String Parameters

Parameter Name Type Description
$select string Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields.
POST /api/v1/Agents/Contact/GetContactSummary?$select=name,department,category/id

Request Headers

Parameter Name Description
Authorization Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type.
X-XSRF-TOKEN If not using Authorization header, you must provide XSRF value from cookie or hidden input field
Content-Type Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json
Accept Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json
Accept-Language Convert string references and multi-language values into a specified language (iso2) code.
SO-Language Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value.
SO-Culture Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set.
SO-TimeZone Specify the timezone code that you would like date/time responses converted to.
SO-AppToken The application token that identifies the partner app. Used when calling Online WebAPI from a server.

Request Body: request

ContactId, Limit

Property Name Type Description
ContactId Integer
Limit Integer

Response:

OK

Response Description
200 OK

Response body: ContactSummary

Property Name Type Description
Contact Contact Simple Contact data.
Tickets array Recent tickets on contact
Followups array Recent follow-ups on contact
Documents array Recent documents on contact
Sales array Recent sales on contact
Chats array Recent chats with contact

Sample request

POST /api/v1/Agents/Contact/GetContactSummary
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *
Content-Type: application/json; charset=utf-8

{
  "ContactId": 199,
  "Limit": 385
}

Sample response

HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{
  "Contact": null,
  "Tickets": [
    {
      "TicketId": 931,
      "TicketStatus": 2,
      "Title": "Software license renewal inquiry",
      "Registered": "2021-01-19T10:10:59.4903616+01:00",
      "IconHint": "debitis"
    },
    {
      "TicketId": 931,
      "TicketStatus": 652,
      "Title": "unde",
      "Registered": "2021-01-19T10:10:59.4903616+01:00",
      "IconHint": "debitis"
    }
  ],
  "Followups": [
    {
      "AppointmentId": 686,
      "DocumentId": 403,
      "Date": "2018-07-14T10:10:59.4903616+02:00",
      "Description": "Cross-group radical flexibility",
      "Completed": "Completed",
      "Registered": "2006-11-14T10:10:59.4903616+01:00"
    },
    {
      "AppointmentId": 686,
      "DocumentId": 403,
      "Date": "2018-07-14T10:10:59.4903616+02:00",
      "Description": "Cross-group radical flexibility",
      "Completed": "Completed",
      "Registered": "2006-11-14T10:10:59.4903616+01:00"
    }
  ],
  "Documents": [
    {
      "AppointmentId": 282,
      "DocumentId": 209,
      "Date": "1999-09-10T10:10:59.4903616+02:00",
      "Description": "Switchable regional emulation",
      "Completed": "Completed",
      "Registered": "1998-09-15T10:10:59.4903616+02:00"
    },
    {
      "AppointmentId": 282,
      "DocumentId": 209,
      "Date": "1999-09-10T10:10:59.4903616+02:00",
      "Description": "Switchable regional emulation",
      "Completed": "Completed",
      "Registered": "1998-09-15T10:10:59.4903616+02:00"
    }
  ],
  "Sales": [
    {
      "SaleId": 941,
      "SaleDate": "2024-06-30",
      "Probability": 85,
      "Heading": "Enterprise software upgrade",
      "Amount": 125000.00,
      "Currency": "USD",
      "AmountInBaseCurrency": 125000.00,
      "Status": "Open",
      "Completed": "Completed",
      "Registered": "2024-08-23T10:10:59.4903616+02:00"
    }
  ],
  "Chats": [
    {
      "ChatSessionId": 144,
      "Name": "Konopelski, Reinger and Roberts",
      "CompanyName": "Schiller LLC",
      "FirstMessage": "sed",
      "LastMessage": "at",
      "WhenRequested": "2013-11-04T10:10:59.4903616+01:00",
      "WhenEnded": "2009-06-19T10:10:59.4903616+02:00"
    }
  ]
}
© SuperOffice. All rights reserved.
SuperOffice |  Community |  Release Notes |  Privacy |  Site feedback |  Search Docs |  About Docs |  Contribute |  Back to top